Package com.xebialabs.deployit.plugin.api.udm

## Class BaseDeployableContainer

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable
    - - com.xebialabs.deployit.plugin.api.udm.BaseDeployableContainer

- All Implemented Interfaces:
    `ConfigurationItem`, `Container`, `Deployable`, `DeployableContainer`, `Taggable`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(virtual=true,
                description="The base supertype for a deployable container.")
      public class BaseDeployableContainer
      extends BaseDeployable
      implements DeployableContainer

  A Container that is deployable to (provisioned on) a target platform.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

      `TAGS_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseDeployableContainer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.String>` | `getContainerTags()` |
    `void` | `setContainerTags​(java.util.Set<java.lang.String> containerTags)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable

      `getBoundTemplates, getTags, setBoundTemplates, setTags`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

      `getTags, setTags`

- - ### Constructor Detail

    - #### BaseDeployableContainer

          public BaseDeployableContainer()

  - ### Method Detail

    - #### getContainerTags

          public java.util.Set<java.lang.String> getContainerTags()

      Specified by:
        `getContainerTags` in interface `DeployableContainer`

    - #### setContainerTags

          public void setContainerTags​(java.util.Set<java.lang.String> containerTags)

      Specified by:
        `setContainerTags` in interface `DeployableContainer`